summaryrefslogtreecommitdiffstats
path: root/vlc
diff options
context:
space:
mode:
author Eric Hameleers <alien@slackware.com>2013-12-12 09:09:37 +0000
committer Eric Hameleers <alien@slackware.com>2013-12-12 09:09:37 +0000
commitbb8c63ad0a3051e1358e7809feeee9c943c435a1 (patch)
treee1c2a6853f467e03e73e62cc7f955a4caa7e2b1d /vlc
parentb1b3d023515e460563c966a6f5906e9eb830fc68 (diff)
downloadasb-bb8c63ad0a3051e1358e7809feeee9c943c435a1.tar.gz
asb-bb8c63ad0a3051e1358e7809feeee9c943c435a1.tar.xz
Add VDPAU support
Diffstat (limited to 'vlc')
-rwxr-xr-xvlc/build/vlc.SlackBuild62
1 files changed, 54 insertions, 8 deletions
diff --git a/vlc/build/vlc.SlackBuild b/vlc/build/vlc.SlackBuild
index 37517f96..fe66a229 100755
--- a/vlc/build/vlc.SlackBuild
+++ b/vlc/build/vlc.SlackBuild
@@ -374,6 +374,8 @@
# * New release. Enable 10-bit decoder in x624.
# Updates to bluray, dvdnav, dvdread, ffmpeg, fribidi, live555,
# opus, speex, x264.
+# 2.1.2.-2 11/dec/2013 by Eric Hameleers <alien@slackware.com>
+# * Add VDPAU driver.
#
# Run 'sh vlc.SlackBuild' to build a Slackware package.
# The package (.txz) plus descriptive .txt file are created in /tmp .
@@ -397,7 +399,7 @@
PRGNAM=vlc
PRGNAM2=npapi-vlc
-BUILD=${BUILD:-1}
+BUILD=${BUILD:-2}
NPBUILD=${NPBUILD:-1}
TAG=${TAG:-"alien"}
@@ -573,6 +575,7 @@ TIGER=0.3.4
TWOLAME=0.3.13
UPNP=1.6.18
VCD=0.7.24
+VDPAU=0.7
VPX=v1.1.0
X264=20131208-2245
@@ -954,12 +957,18 @@ SRCURL[51]="http://taglib.github.io/releases/taglib-${TAGLIB}.tar.gz"
SRCPAT[51]="NO"
USE[51]="YES"
-# CSS decoding- VLC can do without if you install an external libdvdcss package.
-SOURCE[52]="$SRCDIR/libdvdcss-${DVDCSS}.tar.bz2"
-SRCURL[52]="http://download.videolan.org/pub/libdvdcss/${DVDCSS}/libdvdcss-${DVDCSS}.tar.bz2"
-SRCPAT[52]="YES"
+# VDPAU for video hardware acceleration:
+SOURCE[52]="$SRCDIR/libvdpau-${VDPAU}.tar.gz"
+SRCURL[52]="http://people.freedesktop.org/~aplattner/vdpau/libvdpau-${VDPAU}.tar.gz"
+SRCPAT[52]="NO"
USE[52]="YES"
+# CSS decoding- VLC can do without if you install an external libdvdcss package.
+SOURCE[53]="$SRCDIR/libdvdcss-${DVDCSS}.tar.bz2"
+SRCURL[53]="http://download.videolan.org/pub/libdvdcss/${DVDCSS}/libdvdcss-${DVDCSS}.tar.bz2"
+SRCPAT[53]="YES"
+USE[53]="YES"
+
# Use the src_checkout() function if no downloadable tarball exists.
# This function checks out sources from SVN/CVS and creates a tarball of them.
src_checkout() {
@@ -1566,7 +1575,7 @@ PKG_CONFIG_PATH="${VLCDEPSDIR}/usr/lib${LIBDIRSUFFIX}/pkgconfig" \
--enable-bzlib \
--enable-zlib \
--enable-vaapi \
- --disable-vdpau \
+ --enable-vdpau \
$ARCHOPTS \
--extra-cflags="-I${VLCDEPSDIR}/usr/include" \
--extra-ldflags="-L${VLCDEPSDIR}/usr/lib${LIBDIRSUFFIX} -ldl" \
@@ -3114,8 +3123,9 @@ cd $TMP/tmp-$PRGNAM/libva-$LIBVA
# install yourself for your specific hardware. The drivers should go into
# directory /usr/lib${LIBDIRSUFFIX}/va/drivers .
# If you install my libva package you can get MPEG-2 hardware acceleration on
-# Intel graphics. If you additionally install my vdpau-video package, then you
-# get hardware acceleration on Nvidia graphics (with nvidia's binary driver).
+# Intel graphics.
+# If you additionally install my libva-vdpau-driver package, then you get
+# hardware acceleration on Nvidia graphics (with nvidia's binary driver).
# If you own an Ati card and use the fglrx driver, then you can achieve
# hardware acceleration by installing the xvba-video driver from here:
# http://www.splitted-desktop.com/~gbeauchesne/xvba-video/ (since I do not own
@@ -3168,6 +3178,39 @@ cd -
# -----------------------------------------------------------------------------
+# Compile libvdpau
+# -----------------------------------------------------------------------------
+make_vdpau()
+{
+echo -e "**\n** vdpau ...\n**"
+cd $TMP/tmp-$PRGNAM/libvdpau-$VDPAU
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+LDFLAGS="$SLKLDFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --enable-static \
+ --disable-documentation \
+ --program-prefix= \
+ --program-suffix= \
+ --build=$TARGET \
+ 2>&1 | tee $OUTPUT/configure-${PRGNAM}_vdpau.log
+make -j${NUMJOBS} 2>&1 | tee $OUTPUT/make-${PRGNAM}_vdpau.log
+# Strip the static lib to prevent linking errors in 64-bit,
+find . -name "*.a" | xargs strip --strip-unneeded
+# Install vdpau into a temp location so vlc can pickup the library
+echo -e "\n**\n**\n"
+make install DESTDIR=$VLCDEPSDIR 2>&1 | tee -a $OUTPUT/make-${PRGNAM}_vdpau.log
+# Add DOCS to the vlcdeps to have it added to vlc package later:
+mkdir -p $VLCDEPSDIR/doc/vdpau/
+cp AUTHORS COPYING ChangeLog NEWS README $VLCDEPSDIR/doc/vdpau/ || true
+cd -
+}
+
+
+# -----------------------------------------------------------------------------
# Compile VP8
# -----------------------------------------------------------------------------
make_vpx()
@@ -3791,6 +3834,9 @@ else
# libva is compiled before ffmpeg, let me know!
make_libva
+ # VLC supports VDPAU directly since 2.1.
+ make_vdpau
+
# CD/VCD image support:
# Circular dependencies need these loops:
make_cdio --disable-vcd-info